Subject: Re: bug#1207: 23.0.60; read-shell-command does not support Windows ".." quoting of file names with embedded white space

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Jun 2014 19:36:11 +0300

> From: Juanma Barranquero <[email-masked]>
> Date: Wed, 6 Jul 2011 19:12:14 +0200
> Cc: [email-masked]
> 
> On Sun, Oct 19, 2008 at 18:29, Eli Zaretskii <[email-masked]> wrote:
> 
> > On MS-Windows:
> >
> >  emacs -Q
> >  M-! "C:/Progra TAB
> >
> > This correctly completes to `"c:/Program Files/'.  However, the next
> > TAB fails with `[No completions of Files/]', which is an evidence that
> > `read-shell-command' does not pay attention to the fact that the
> > command begins with a quote character.
> >
> > If I type the closing quote character manually, then
> >
> >  "C:/Program Files/" TAB
> >
> > pops up a *Completions* buffer with files in my home directory (???),
> > which is again incorrect.
> 
> Not only still fails for me, I can even make it hang Emacs.

I can no longer reproduce this in the current emacs-24 branch, so
evidently the bug was fixed.

Closing.